CDVSERVER(1)

NAME
cdvserver - server for the codeville distributed revision system.

SYNOPSIS
cdvserver [-c file | -n] [-f file] [-l file] [-p file] [-b] [-d] [-r] [-u user]

DESCRIPTION
This manual page documents briefly the cdvserver command. This manual page was written for the Debian distribution because the original program does not have a manual page.

cdvserver is a server for the codeville distributed revision system. A server keeps track of revisions and holds a database used for revision control. The codeville system needs both a server and a client. cdv is the only known codeville client.

OPTIONS
-c <configfile> Specify file to use as a configuration file.

-n  Don't use a configuration file.

-f <datadir>
    Specify where all the database files and password file go.

-l <logfile>
    Specify where the server output goes when daemonized.

-p <pidfile>
    Specify a file to hold the process ID of the server in.

-b  Start server in backup mode.

-d  Don't daemonize, won't write pidfile or logfile.

-u <user>
    Run as the given user, must be root to do this.

-r  Rebuild internal data structures on startup.

SEE ALSO
cdv(1), cdvpasswd(1), http://www.codeville.org

AUTHOR
This manual page was written by Michael Janssen <jamuraa@debian.org>, for the Debian GNU/Linux system (but may be used by others).